import React from "react";
import './EditThread.css';
import FormEditThread from './FormEditThread'


function EditThread(props) {

    const back = () => {
        props.history.goBack();
    }

    const redirect = (path) => {
        props.history.push(path);
    }

    const threadId = props.match.params.thread

    return (
        <div>
            <div className="back" onClick={back}>
                <h5>Back</h5> 
            </div>
            <div className="header">
                <h1><b>Edit a Thread</b></h1>
            </div>
            <div className="form_section">
                <FormEditThread redirect={redirect} threadId={threadId}/>
            </div>
        </div>
    )
}

export default EditThread;