import './PreviewThread.css';
import { tConvert, translate } from '../helpers/time-util'
import { Link } from "react-router-dom"

export default function ThreadList(props){
    const time = translate(props.time)
    return (
        <div id="threadCard">
            <div id="threadCardHeader">
                <h2 id="judul"><b>{props.header}</b></h2>
            </div>
            <p id="topic">{props.topic}</p>
            <div id="threadCardContent">
                <Link to={`/profile/${props.user_id}`}>
                    <p>By {props.user}</p>
                </Link>
                <p>{time} - <i class="far fa-thumbs-up"></i> {props.points}</p>
            </div>
        </div>
    )
}